summaryrefslogtreecommitdiff
path: root/fuzz
diff options
context:
space:
mode:
Diffstat (limited to 'fuzz')
-rwxr-xr-xfuzz/config/git-copy.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/fuzz/config/git-copy.sh b/fuzz/config/git-copy.sh
index f21b2d232..7689abf96 100755
--- a/fuzz/config/git-copy.sh
+++ b/fuzz/config/git-copy.sh
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-set -e
+set -ex
if [ $# -lt 3 ]; then
echo "Usage: $0 <repo> <branch> <directory>" 1>&2
@@ -15,6 +15,7 @@ echo "Copy '$COMMIT' from '$REPO' to '$DIR'"
if [ $(echo -n "$COMMIT" | wc -c) != "40" ]; then
# On the off chance that $COMMIT is a remote head.
ACTUAL=$(git ls-remote "$REPO" "$COMMIT" | cut -c 1-40 -)
+ echo "Using commit hash '$ACTUAL'"
else
ACTUAL="$COMMIT"
fi